//: # Effects Processing Playgrounds
//:
//: ## "Analog Synth X" Example Project
//:
//: AudioKit is shipped with an awesome synth example project and the following
//: playgrounds are where we developed and tested out the effects for that synth.
//:
//: * [Fatten Effect](Fatten%20Effect)
//: * [Filter Section](Filter%20Section%20Example)
//: * [Muli-tap Delay](Multi-tap%20Delay)
//: * [MultiDelay](MultiDelay%20Example)
//:
//: ## Nodes
//:
//: ### Delays
//:
//: Delay is a lot more powerful than simply repeating an earlier sound.
//: By varying parameters, you can get startlingly beautiful effects.
//:
//: * [Delay](Delay)
//: * [Smooth Delay](Smooth%20Delay)
//: * [Variable Delay](Variable%20Delay)
//:
//: ### Distortion
//:
//: Distortion is a category for nodes that do more than just filter a sound,
//: and basically change something essential to the sound, usually making for a
//: harsher sound, but that's a matter of taste.
//:
//: * [Bit Crush Effect](Bit%20Crush%20Effect)
//: * [Decimator](Decimator)
//: * [Distortion](Distortion)
//: * [Ring Modulator](Ring%20Modulator)
//: * [Tanh Distortion](Tanh%20Distortion)
//:
//: ### Dynamics Processing
//:
//: Dynamics processing is usually done at the mixing stage and involves
//: changing the signal's output levels.
//:
//: * [Clipper](Clipper)
//: * [Compressor](Compressor)
//: * [Dynamics Processor](Dynamics%20Processor)
//: * [Expander](Expander)
//: * [Peak Limiter](Peak%20Limiter)
//:
//: ### Filters
//:
//: * Filter playground pages were moved to a dedicated playground
//:
//: ### Pitch Shifting
//:
//: * [Pitch Shifter](Pitch%20Shifter)
//: * [Pitch Shifter Operation](Pitch%20Shifter%20Operation)
//:
//: ### Reverb
//:
//: These are the more traditional reverb efffects.
//:
//: * [Costello Reverb](Costello%20Reverb)
//: * [Simple Reverb](Reverb)
//: * iOS-only Reverb - appears in the iOS Development Playground
//:
//: Convolution is included here because it often used for reverb effects, but it can do a lot more.
//:
//: * [Convolution](Convolution)
//:
//: Then there are "reverbs" that are more commonly used as components, not as a stand-alone effect.
//:
//: * [Comb Filter Reverb](Comb%20Filter%20Reverb)
//: * [Flat Frequency Response Reverb](Flat%20Frequency%20Response%20Reverb)
//:
//: ### Other
//:
//: * [Auto Wah Wah](Auto%20Wah%20Wah)
//: * [Graphic Equalizer](Graphic%20Equalizer)
//: * [String Resonator](String%20Resonator)
//: * [Tremolo](Tremolo)
//: * [3D Panner](3D%20Panner)

//: ## Operations
//:
//: Many of the types of things you can do in nodes are also possible with operations,
//: but with great flexibility in how the parameters are changed over time.
//:
//: * [AutoPan Operation](AutoPan%20Operation)
//: * [AutoWah Operation](AutoWah%20Operation)
//: * [Bit Crush](Bit%20Crush%20Operation)
//: * [Costello Reverb Operation](Costello%20Reverb%20Operation)
//: * [Flat Frequency Response Reverb](Flat%20Frequency%20Response%20Reverb%20Operation)
//: * [Variable Delay](Variable%20Delay%20Operation)
//:
//: ### Sporth
//:
//: Sporth is a simple but super-powerful stack-based audio processing language
//: that you can run directly in AudioKit.
//:
//: * [Sporth Based Effect](Sporth%20Based%20Effect)
//:
